Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.mindprod.compactor
Enum HTMLCharCategory

    java.lang.Object
      java.lang.Enum<HTMLCharCategory>
          com.mindprod.compactor.HTMLCharCategory

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HTMLCharCategory>

    public enum HTMLCharCategory

extends java.lang.Enum<HTMLCharCategory>

categorises HTML chars in order to remove excess whitespace.

Enum Constant Summary
`DASH`
`GT`
`IGNORE`
`LT`
`NL`
`QUOTE`
`SPACE`
`TEXT`

Method Summary
`static HTMLCharCategory` | `categorise(char c)` decide which category a char belongs to
`static HTMLCharCategory` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HTMLCharCategory[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DASH

    public static final HTMLCharCategory DASH

### IGNORE

    public static final HTMLCharCategory IGNORE

### LT

    public static final HTMLCharCategory LT

### GT

    public static final HTMLCharCategory GT

### NL

    public static final HTMLCharCategory NL

### QUOTE

    public static final HTMLCharCategory QUOTE

### SPACE

    public static final HTMLCharCategory SPACE

### TEXT

    public static final HTMLCharCategory TEXT

Method Detail

### values

    public static HTMLCharCategory[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HTMLCharCategory c : HTMLCharCategory.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HTMLCharCategory valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### categorise

    public static HTMLCharCategory categorise(char c)

  decide which category a char belongs to

  Parameters:
    `c` - character to categorise
  Returns:
    the category of the character

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD